> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unyte.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all environments

> This endpoint retrieves all environments.



## OpenAPI

````yaml get /api/v1/environments/
openapi: 3.0.3
info:
  title: Superpool API
  version: 2.0.0
  description: >-
    Insurance infrastructure for Financial Institutions, Insurers, and
    Insurtechs
  contact:
    name: Unyte Africa LTD.
    url: https://ng.unyte.africa
    email: tech@unyte.com
servers: []
security: []
paths:
  /api/v1/environments/:
    get:
      tags:
        - Environments
      summary: Retrieve all environments
      description: This endpoint retrieves all environments.
      operationId: v1_environments_list
      parameters:
        - name: limit
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - name: offset
          required: false
          in: query
          description: The initial index from which to return the results.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedEnvironmentList'
          description: ''
        '401':
          description: Unauthorized
      security:
        - ClientKeyAuth: []
components:
  schemas:
    PaginatedEnvironmentList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=400&limit=100
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=200&limit=100
        results:
          type: array
          items:
            $ref: '#/components/schemas/Environment'
    Environment:
      type: object
      description: Serializer for displaying environment information.
      properties:
        environment_name:
          type: string
        test_mode:
          type: boolean
        client_id:
          type: string
          readOnly: true
          description: Unique identifier for the merchant client.
      required:
        - client_id
        - environment_name
        - test_mode
  securitySchemes:
    ClientKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````